function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Dropdown as OriginalDropdown } from 'antd';
import { withSingleChild } from "../../utils/hoc";
var _Dropdown = function _Dropdown(props) {
  var innerProps = {};
  if (props.__designMode === 'design') {
    // 低代码编辑态中强制显示，将控制权交给引擎侧
    innerProps.open = true;
  }
  return /*#__PURE__*/React.createElement(OriginalDropdown, _extends({}, props, innerProps));
};
var Dropdown = withSingleChild(_Dropdown, ['children', 'overlay']);
Dropdown.Button = OriginalDropdown.Button;
export default Dropdown;